Page MenuHomePhabricator

[zorg] Enable assertions on the linux lldb bot
ClosedPublic

Authored by labath on Jul 13 2017, 7:59 AM.

Details

Summary

This adds support for the extra_cmake_args argument to the
LLDBScriptCommandsFactory and uses that to enable assertions on the
linux bot.

While I'm in there, I also remove the "update ndk" step -- it was a bad
idea because it's introducing android-specific code into generic code,
and we never ended up using it anyway.

Diff Detail

Repository
rL LLVM

Event Timeline

labath created this revision.Jul 13 2017, 7:59 AM
gkistanova edited edge metadata.Sep 21 2017, 1:54 PM

Hi Pavel,

The patch looks Ok, with a small issue to address before committing.

zorg/buildbot/builders/LLDBBuilder.py
921 ↗(On Diff #106428)

Please do not use mutable default arguments.
See http://docs.python-guide.org/en/latest/writing/gotchas/#mutable-default-arguments for more details.

954 ↗(On Diff #106428)

This is not a blocker for this patch. With all the same, it would be nice to use the CmakeCommand here instead of the ShellCommand.

labath updated this revision to Diff 122063.Nov 8 2017, 4:45 AM

Avoid mutable arguments

labath marked an inline comment as done.Nov 8 2017, 4:58 AM

I am sorry about the delay, I was on extended leave.

zorg/buildbot/builders/LLDBBuilder.py
921 ↗(On Diff #106428)

Wow, that's quite a surprise. I was not aware of that.

954 ↗(On Diff #106428)

These buildbots deliberately invoke scripts instead of running the commands directly to provide an opportunity to tweak the configuration without restarting the master. I'm honestly not sure whether that was the right choice to begin with, but backing out of that now is not something I feel comfortable doing as a part of this patch.

gkistanova accepted this revision.Dec 15 2017, 7:02 PM
This revision is now accepted and ready to land.Dec 15 2017, 7:02 PM
This revision was automatically updated to reflect the committed changes.
labath marked an inline comment as done.